Update stock endpoint for GRSF-Publication-Service

Mar 16, 2018 12:39 PM - Yannis Marketakis

Status: Closed Start date: Mar 16, 2018

Priority: High Due date:  

Assignee: Yannis Marketakis % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

A new type of timeseries is required for stocks. The new type is called biomass and should be added in the endpoint used for

publishing stocks (https://wiki.gcube-system.org/index.php?title=GCube_Data_Catalogue_for_GRSF#Stock_Metadata).

biomass should be added as a json object with structure similar to the other timeseries for stocks (i.e. abundance_level,

fishing_pressure).

@luca.frosini@isti.cnr.it I'm assigning this to you, but feel free to re-assign it if someone else should carry this out.

Related issues:

Blocked by D4Science Infrastructure - Support #11500: Error updating GRSF ser... Closed Mar 21, 2018

History

#1 - Mar 16, 2018 03:56 PM - Pasquale Pagano

- Priority changed from Normal to High

#2 - Mar 19, 2018 12:04 PM - Luca Frosini

- Assignee changed from Luca Frosini to Francesco Mangiacrapa

#3 - Mar 19, 2018 02:32 PM - Luca Frosini

- Status changed from New to In Progress

- Assignee changed from Francesco Mangiacrapa to Luca Frosini

#4 - Mar 19, 2018 03:07 PM - Luca Frosini

- % Done changed from 0 to 40

#5 - Mar 21, 2018 01:00 PM - Luca Frosini

- Blocked by Support #11500: Error updating GRSF service with ansible added

#6 - Mar 21, 2018 01:01 PM - Luca Frosini

- % Done changed from 40 to 100

I added the field. I'm waiting the right to update the service in dev machine see #11500.

I'll let you knwo as soon as the service is upgraded.

#7 - Mar 21, 2018 08:17 PM - Luca Frosini

@marketak@ics.forth.gr you can start to test it. Sorry for the delay

#8 - Mar 23, 2018 05:00 PM - Luca Frosini

- Status changed from In Progress to Feedback

#9 - Mar 26, 2018 09:21 AM - Yannis Marketakis

- Assignee changed from Luca Frosini to Yannis Marketakis

Thanks for the update Luca.

I'll test ASAP
#10 - Mar 26, 2018 09:59 AM - Yannis Marketakis

- % Done changed from 100 to 90

It seems that the records have been published in NextNext VRE (No errors occurred while publishing).

However I cannot find them in the corresponding catalog. Shouldn't they be visible at https://next.d4science.org/group/nextnext/data-catalogue ?

#11 - Mar 26, 2018 12:46 PM - Luca Frosini

@marketak@ics.forth.gr you can see the items from here:

https://ckan-d-d4s.d4science.org/organization/grsf

The view from portlet was filtered only for NextNext items only @francesco.mangiacrapa@isti.cnr.it is going to restore the portlet general view.

#12 - Mar 26, 2018 12:59 PM - Francesco Mangiacrapa

I just removed the view per VRE for the authority NextNext.

Now you can see the general view at: https://next.d4science.org/group/nextnext/data-catalogue

Moreover, you can point directly to the grsf organization using the link: 

https://next.d4science.org/group/nextnext/data-catalogue?path=organization/grsf

#13 - Mar 26, 2018 01:03 PM - Yannis Marketakis

Thank you both for the update. I confirm that I can see the published records now.

I noticed that the records with the new Biomass entry have added, however, Biomass values have not been added as timeseries (similarly to

Abundance Level or Fishing Pressure). I see that they are added as a field under additional info.

Check this record for example: http://data-d.d4science.org/ctlg/NextNext/a59fe482-8875-328b-b689-3d12fc4683c3

#14 - Mar 26, 2018 02:32 PM - Luca Frosini

I'm going to investigate it

#15 - Mar 26, 2018 03:09 PM - Luca Frosini

@marketak@ics.forth.gr can you retry by using

"key":"stock_data:Biomass"

 instead of 

"key" : "biomass"

#16 - Mar 26, 2018 04:16 PM - Yannis Marketakis

Just tried but it's still the same (http://data-d.d4science.org/ctlg/NextNext/2d7a1b14-e62d-3a2a-95a0-7b5da2663ad0)

#17 - Mar 26, 2018 04:32 PM - Luca Frosini

Can you please provide the raw json you submit?

#18 - Mar 26, 2018 04:42 PM - Yannis Marketakis

- File 2d7a1b14-e62d-3a2a-95a0-7b5da2663ad0.json added

Of course. You find it in the attached json file.

#19 - Apr 09, 2018 04:41 PM - Luca Frosini

@marketak@ics.forth.gr I just realized that 'stock_data:' before Biomass is not needed because it is implicit. I'm going to investigate the timeseries

issue.

#20 - Apr 10, 2018 05:34 PM - Luca Frosini

- % Done changed from 90 to 100

The issue is fixed as you can check from:

https://next.d4science.org/group/nextnext/data-catalogue?path=/dataset/e3271be7-280b-45c8-ae84-5b2faaece5df
Please close the ticket if is ok for you

#21 - Apr 12, 2018 09:11 AM - Yannis Marketakis

Thanks for this Luca. Just a quick confirmation: we are not using the 'stock_data' prefix, correct ?

#22 - Apr 12, 2018 12:01 PM - Luca Frosini

Yannis Marketakis wrote:

Thanks for this Luca. Just a quick confirmation: we are not using the 'stock_data' prefix, correct ?

 Right, you don't need to use 'stock_data' prefix.

#24 - May 10, 2018 05:10 PM - Luca Frosini

It seems working. Do you think I can close the ticket?

#25 - May 11, 2018 08:21 AM - Yannis Marketakis

Yes I think so

#26 - May 11, 2018 02:18 PM - Luca Frosini

- Status changed from Feedback to Closed

#27 - Jul 26, 2018 02:11 PM - Luca Frosini

- Project changed from 8 to StocksAndFisheriesKB

- Category deleted (Default)

- Target version deleted (WP05)

Files

2d7a1b14-e62d-3a2a-95a0-7b5da2663ad0.json 18.4 KB Mar 26, 2018 Yannis Marketakis
